%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/eclesh/welford
%global commit          eec62615b1f04b418b1627c6627e21301f47532d

%gometa

%global common_description %{expand:
Welford implements a one-pass algorithm for computing mean and variance.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:    1%{?dist}
Summary:        Welford implements a one-pass algorithm for computing mean and variance

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
Patch0:         welford-increase-allowed-tolerance.patch

%description
%{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Wed Aug 14 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
